<?php
include_once('../../../php/sessionStart.php');
include_once('../../../php/db/dbExec.php');
include_once('../../../php/functions.php');
include_once('../../../php/timezone.php');
include_once('../../../php/privileges.php');

$bitForm = "cxp4040";
$bitMod = "cxp";
$empCod = $_SESSION['empCod'];
$usuCod = utf8_decode($_SESSION['usuCod']);
$usuNom = utf8_decode($_SESSION['usuNom']);

switch ($_POST['action']) {
	case 'consultarSerieoc':
		echo consultarSerieoc();
		break;

	case 'guardar':
		echo guardar();
		break;

	case 'borrar':
		echo borrar();
		break;
}

function consultarSerieoc() {
	global $empCod;
	$txtCod=utf8_decode($_POST['txtCod']);

	# QUERYS
	$sSerieoc = "SELECT *, TRIM(so_nom) AS so_nom FROM serieoc WHERE so_emp='$empCod' and so_cod='$txtCod'";

	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp = $db->sEx($sSerieoc, "serieoc");
	$db->close();

	$func = new functions();

	return $func->jsonEncodeArray($resp, "serieoc");
}


function guardar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$priv = new privileges();
	if (!$priv->modify($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorModify());
	}

	$func = new functions();

	$txtCod=$_POST['txtCod'];
	$txtNom=utf8_decode($_POST['txtNom']);
	$numCorr=$_POST['numCorr'];

	# QUERYS PARA UN REGISTRO
	$iSerieoc = "INSERT INTO serieoc(so_emp,so_cod, so_nom, so_corr) VALUES ('$empCod','$txtCod','$txtNom','$numCorr')";

	$uSerieoc = "UPDATE serieoc SET so_nom='$txtNom',so_corr='$numCorr' WHERE so_emp='$empCod' and so_cod='$txtCod'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	if ($func->stringToBool($_POST['nuevo'])) {
		$resp = $db->iEx($iSerieoc);
		$db->iEx($func->iBitacora(utf8_decode("Se creó Serie de Orden de Compra, Codigo: $txtCod   txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	} else {
		$resp = $db->uEx($uSerieoc);
		$db->iEx($func->iBitacora(utf8_decode("Se modificó Serio Orden de Compra, Codigo: $txtCod   $txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	}
	
	$db->close();

	return json_encode($resp);
}

function borrar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$func = new functions();

	$txtCod=$_POST['txtCod'];
	$txtNom=$_POST['txtNom'];

	# QUERYS
	$dSerieoc = "DELETE FROM serieoc WHERE so_emp='$empCod' and so_cod='$txtCod'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	$resp = $db->dEx($dSerieoc);
	$db->iEx($func->iBitacora(utf8_decode("Se borró la Orden de Compra, Codigo: $txtCod  $txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	$db->close();

	return json_encode($resp);
}
?>